RDKit::FileParseException Class Reference

used by various file parsing classes to indicate a parse error More...

`#include <FileParseException.h>`

Inheritance diagram for RDKit::FileParseException:

## Public Member Functions

| FileParseException (const char *msg)
| construct with an error message More...
| FileParseException (const std::string msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~FileParseException () throw ()

## Detailed Description

used by various file parsing classes to indicate a parse error

Definition at line 19 of file FileParseException.h.

## Constructor & Destructor Documentation

## FileParseException() [1/2]

RDKit::FileParseException::FileParseException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 22 of file FileParseException.h.

## FileParseException() [2/2]

RDKit::FileParseException::FileParseException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 25 of file FileParseException.h.

## ~FileParseException()

RDKit::FileParseException::~FileParseException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 29 of file FileParseException.h.

## Member Function Documentation

## message()

const char* RDKit::FileParseException::message | ( |  | ) | const

inline

get the error message

Definition at line 28 of file FileParseException.h.

The documentation for this class was generated from the following file:

- FileParseException.h